# _HTTPConnTestHandler
<span class="source-link">[[Source]](src/net-http/_test.md#L372)</span>
```pony
class ref _HTTPConnTestHandler is
  HTTPHandler ref
```

#### Implements

* [HTTPHandler](net-http-HTTPHandler) ref

---

## Constructors

### create
<span class="source-link">[[Source]](src/net-http/_test.md#L376)</span>


```pony
new ref create(
  h': TestHelper val)
: _HTTPConnTestHandler ref^
```
#### Parameters

*   h': [TestHelper](ponytest-TestHelper) val

#### Returns

* [_HTTPConnTestHandler](net-http-_HTTPConnTestHandler) ref^

---

## Public fields

### var n_received: [U32](builtin-U32) val
<span class="source-link">[[Source]](src/net-http/_test.md#L373)</span>



---

### let h: [TestHelper](ponytest-TestHelper) val
<span class="source-link">[[Source]](src/net-http/_test.md#L374)</span>



---

## Public Functions

### apply
<span class="source-link">[[Source]](src/net-http/_test.md#L380)</span>


```pony
fun ref apply(
  payload: Payload val)
: Any tag
```
#### Parameters

*   payload: [Payload](net-http-Payload) val

#### Returns

* [Any](builtin-Any) tag

---

### chunk
<span class="source-link">[[Source]](src/net-http/_test.md#L384)</span>


```pony
fun ref chunk(
  data: (String val | Array[U8 val] val))
: None val
```
#### Parameters

*   data: ([String](builtin-String) val | [Array](builtin-Array)\[[U8](builtin-U8) val\] val)

#### Returns

* [None](builtin-None) val

---

### finished
<span class="source-link">[[Source]](src/net-http/http_handler.md#L64)</span>


```pony
fun ref finished()
: None val
```

#### Returns

* [None](builtin-None) val

---

### cancelled
<span class="source-link">[[Source]](src/net-http/http_handler.md#L70)</span>


```pony
fun ref cancelled()
: None val
```

#### Returns

* [None](builtin-None) val

---

### throttled
<span class="source-link">[[Source]](src/net-http/http_handler.md#L77)</span>


```pony
fun ref throttled()
: None val
```

#### Returns

* [None](builtin-None) val

---

### unthrottled
<span class="source-link">[[Source]](src/net-http/http_handler.md#L82)</span>


```pony
fun ref unthrottled()
: None val
```

#### Returns

* [None](builtin-None) val

---

### need_body
<span class="source-link">[[Source]](src/net-http/http_handler.md#L87)</span>


```pony
fun ref need_body()
: None val
```

#### Returns

* [None](builtin-None) val

---

